%define build_timestamp %{lua: print(os.date("%Y%m%d"))}
%define changelog_date %{lua: print(os.date("%a %b %d %Y"))}
#define blender_api 4.3
Name:		IfcOpenShell
Version:	0.8.3
Release:	0.0.%{build_timestamp}git%{?dist}
Summary:	The open source IFC toolkit and geometry engine
License:	LGPL-3.0-only
URL:		http://ifcopenshell.org/
Source0:	%{name}-%{version}.tar.gz
Source1:	https://raw.githubusercontent.com/brunopostle/ifcmerge/main/ifcmerge
Source2:	IfcConvert.1
BuildRequires:	cmake gcc-c++ boost-devel libicu-devel python3-devel swig libxml2-devel tbb-devel blender-rpm-macros opencascade-devel hdf5-devel json-devel CGAL-devel gmp-devel mpfr-devel
# non-fedora modules, put in BuildRequires as a repo check
BuildRequires:	python3-pystache python3-pythonocc-core python3-olca python3-cjio python3-sphinx-autoapi python3-xsdata python3-orderly_set
#BuildRequires:	python3-brickschema
# required by (slow) C++ API docs
#BuildRequires:	python3-breathe python3-exhale
# required by python API docs
BuildRequires:	python3-sphinx latexmk texlive-cmap texlive-metafont texlive-collection-fontsrecommended texlive-ec texlive-babel-english texlive-parskip texlive-fncychap texlive-wrapfig texlive-capt-of texlive-framed texlive-upquote texlive-needspace texlive-tabulary

# Makefile for triggering a new build from an IfcOpenShell git repository

#IFCOPENSHELL_VERSION := $(shell cat IfcOpenShell/VERSION)
#DATE := $(shell date "+%Y%m%d")
#FEDORA_VERSION = fc41
#
#bonsai-pull :
#	cd IfcOpenShell && git pull --recurse-submodules
#
#bonsai-dist : bonsai-pull
#	cd IfcOpenShell && rm -rf build && mkdir build
#	cd IfcOpenShell/build && cmake ../cmake/ -DEXTRA_VERSION= \
#	-DADD_COMMIT_SHA=ON -DVERSION_OVERRIDE=ON \
#	-DCPACK_SOURCE_IGNORE_FILES="/test/;/src/opencdeserver/;/src/bonsai/scripts/" \
#	-DCOLLADA_SUPPORT=OFF -DGLTF_SUPPORT=OFF -DCITYJSON_SUPPORT=OFF -DGMP_LIBRARY_DIR=/usr/lib64 -DMPFR_LIBRARY_DIR=/usr/lib64
#	cd IfcOpenShell/build && make package_source
#
#bonsai-rpm : bonsai-dist
#	mv IfcOpenShell/build/assets/IfcOpenShell-${IFCOPENSHELL_VERSION}.tar.gz ~/rpmbuild/SOURCES/
#	cd ~/rpmbuild && rpmbuild -bs SPECS/IfcOpenShell.spec --define "VERSION ${IFCOPENSHELL_VERSION}"
#
#bonsai : bonsai-rpm
#	copr-cli build --timeout=50000 IfcOpenShell \
#	~/rpmbuild/SRPMS/IfcOpenShell-${IFCOPENSHELL_VERSION}-0.0.${DATE}git.${FEDORA_VERSION}.src.rpm

%description
IfcOpenShell is a software library that helps users and software developers to
work with the IFC file format. The IFC file format can be used to describe
building and construction data. The format is commonly used for Building
Information Modelling.

%package devel
Summary:	Development headers for linking to the IfcOpenShell library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel libicu-devel python3-devel libxml2-devel tbb-devel

%description devel
The IfcOpenShell-devel package includes the header files necessary for
developing programs which will use the IfcOpenShell library.

%package python3
Summary:	Python IfcOpenShell library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Requires:	python3-behave # conflicts with svgwrite, see https://github.com/IfcOpenShell/IfcOpenShell/issues/2159
Requires:	python3-lark-parser python3-pyparsing python3-odfpy python3-parse_type python3-parse python3-ordered-set python3-defusedxml python3-xmlschema python3-babel python3-boto3 python3-botocore python3-networkx python3-lxml python3-xsdata python3-six mysql-connector-python3 python3-pandas python3-openpyxl python3-odfpy
# non-fedora modules
Requires:	python3-pythonocc-core python3-orderly_set

%description python3
A Python interface to the IfcOpenShell library

%package bonsai
Summary:	Bonsai BIM add-on for Blender
License:	GPL-3.0-or-later
BuildArch:	noarch
Provides:	blenderbim = %{version}-%{release}
Provides:	bonsai = %{version}-%{release}
Requires:	%{name}-python3 = %{version}-%{release}
# standard fedora modules
Requires:	python3-jsonpickle python3-elementpath python3-deepdiff python3-svgwrite python3-isodate python3-dateutil python3-shapely python3-pillow python3-GitPython python3-ezdxf python3-socketio+asyncio_client python3-aiohttp python3-pytz python3-natsort python3-platformdirs
Requires:	blender(ABI) = %{blender_api}
# non-fedora modules
Requires:	python3-pystache python3-olca python3-cjio python3-bpypolyskel
#Requires:	python3-rdflib python3-flask python3-brickschema

%description bonsai
A blender plugin for importing, creating, modifying and exporting IFC files

%package ifcsverchok
Summary:	IFC nodes for Sverchok Blender add-on
License:	GPL-3.0-or-later
BuildArch:	noarch
Requires:	%{name}-bonsai = %{version}-%{release}
Requires:	blender(ABI) = %{blender_api}

%description ifcsverchok
Some experimental Sverchok nodes for working with IFC metadata

%prep
%setup -q

# fix attempted static linking of hdf5 libraries
sed -i 's/set(lib_ext a)/set(lib_ext so)/' cmake/CMakeLists.txt

# disable 'light' module as we don't have pyradiance
sed -i 's/    "light": None,/#    "light": None,/' src/bonsai/bonsai/bim/__init__.py

# fix extension manifest
sed -i 's/"os-arch"/"linux-x64", "linux-arm64"/' src/bonsai/bonsai/blender_manifest.toml

%build
#cd src/bonsai/docs/
#make latexpdf
#cd -
#cd src/ifcopenshell-python/docs/
#make latexpdf
#cd -
cd cmake
%cmake \
    -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
    -DVERSION_OVERRIDE=ON \
    -DLIBDIR=%{_libdir} -DINCLUDEDIR=%{_includedir} -DBINDIR=%{_bindir} \
    -DENABLE_BUILD_OPTIMIZATIONS=OFF \
    -DLIBXML2_INCLUDE_DIR:FILEPATH=%{_includedir}/libxml2 \
    -DOCC_INCLUDE_DIR=%{_includedir}/opencascade -DBUILD_SHARED_LIBS=1 \
    -DJSON_INCLUDE_DIR=%{_includedir} -DCITYJSON_SUPPORT=OFF \
    -DGLTF_SUPPORT=OFF \
    -DHDF5_SUPPORT=ON \
    -DUSE_MMAP=ON \
    -DGMP_LIBRARY_DIR=%{_libdir} -DMPFR_LIBRARY_DIR=%{_libdir} -DHDF5_LIBRARY_DIR=%{_libdir} \
    -DHDF5_INCLUDE_DIR=%{_includedir} \
    -DCOLLADA_SUPPORT=OFF \
    -DCMAKE_CXX_FLAGS="-I/usr/include/eigen3 -I/usr/include %{build_cxxflags}"
%cmake_build

%install
cd cmake
%cmake_install
cd -

# cleanup
rm -f src/bonsai/bonsai/bim/data/cache/ifc/.gitignore
rm -f src/bonsai/bonsai/bim/data/cache/shapes/.gitignore
rm -f src/bonsai/bonsai/bim/data/diagrams/.gitkeep
rm -rf src/ifcbimtester/bimtester/__pycache__

# just a few files go in the extensions folder
mkdir -p %{buildroot}/%{_datadir}/blender/%{blender_api}/extensions/system/bonsai
cp -a src/bonsai/bonsai/{*.py,*.toml} %{buildroot}/%{_datadir}/blender/%{blender_api}/extensions/system/bonsai/
# we have two blender add-ons
cp -a src/ifcsverchok %{buildroot}/%{_datadir}/blender/%{blender_api}/extensions/system/ifcsverchok

# everything else is now a python library
mkdir -p %{buildroot}/%{python3_sitelib}
mkdir -p %{buildroot}/%{python3_sitearch}
cp -a src/bonsai/bonsai %{buildroot}/%{python3_sitelib}/bonsai

# ifcmerge
mkdir -p %{buildroot}/%{python3_sitelib}/bonsai/libs/bin
cp %{SOURCE1} %{buildroot}/%{python3_sitelib}/bonsai/libs/bin/
chmod +x %{buildroot}/%{python3_sitelib}/bonsai/libs/bin/*

# bimtester is a standalone tool
cp src/ifcbimtester/cli.py %{buildroot}/%{_bindir}/
cp src/ifcbimtester/gui.py %{buildroot}/%{_bindir}/

# stuff that isn't installed with make install
cp -a src/bcf/bcf %{buildroot}/%{python3_sitelib}/
cp -a src/ifcclash/ifcclash %{buildroot}/%{python3_sitelib}/
cp -a src/ifcbimtester/bimtester %{buildroot}/%{python3_sitelib}/
cp -a src/ifcpatch/ifcpatch %{buildroot}/%{python3_sitelib}/
cp -a src/ifc4d/ifc4d %{buildroot}/%{python3_sitelib}/
cp -a src/ifc5d/ifc5d %{buildroot}/%{python3_sitelib}/
cp -a src/ifccityjson %{buildroot}/%{python3_sitelib}/
cp -a src/ifctester/ifctester %{buildroot}/%{python3_sitelib}/
cp -a src/ifcfm/ifcfm %{buildroot}/%{python3_sitelib}/

# single file modules
cp src/ifcdiff/*.py %{buildroot}/%{python3_sitelib}/
cp src/ifccsv/*.py %{buildroot}/%{python3_sitelib}/
cp src/bsdd/*.py %{buildroot}/%{python3_sitelib}/

# match fedora shebang policy
sed -i 's;#!/usr/bin/env python3;#!/usr/bin/python3;' %{buildroot}/%{_bindir}/*.py

chmod +x %{buildroot}/%{_bindir}/*.py

rm -f %{buildroot}/%{_libdir}/*.a

# man page
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

%files
#doc README.md src/ifcopenshell-python/docs/_build/latex/ifcopenshell.pdf
%doc README.md
%license COPYING
%{_bindir}/IfcConvert
%{_bindir}/IfcGeomServer
%{_libdir}/libIfcGeom.so.*
%{_libdir}/libIfcParse.so.*
%{_libdir}/libSerializers.so.*
%{_libdir}/libgeometry_kernel_cgal.so
%{_libdir}/libgeometry_kernel_cgal_simple.so
%{_libdir}/libgeometry_kernel_opencascade.so
%{_libdir}/libsvgfill.so
%{_bindir}/svgfill
%{_mandir}/man1/IfcConvert.1*

%files devel
%doc README.md
%{_includedir}/ifcgeom
%{_includedir}/ifcparse
%{_includedir}/serializers
%{_libdir}/libIfcGeom.so
%{_libdir}/libIfcParse.so
%{_libdir}/libSerializers.so
# These two are from bundled svgfill library
%{_includedir}/progress.h
%{_includedir}/svgfill.h
%{_includedir}/graph_2d.h

%files python3
%doc README.md
%{_bindir}/cli.py
%{_bindir}/gui.py
%{python3_sitearch}/ifcopenshell
%{python3_sitelib}/ifcpatch
%{python3_sitelib}/bcf
%{python3_sitelib}/bimtester
%{python3_sitelib}/ifcclash
%{python3_sitelib}/ifc4d
%{python3_sitelib}/ifc5d
%{python3_sitelib}/ifccityjson
%{python3_sitelib}/ifctester
%{python3_sitelib}/ifcfm
%{python3_sitelib}/*.py
%{python3_sitelib}/__pycache__

%files bonsai
#doc README.md src/bonsai/docs/_build/latex/bonsaiadd-on.pdf
%doc README.md
%{_datadir}/blender/%{blender_api}/extensions/system/bonsai
%{python3_sitelib}/bonsai

%files ifcsverchok
%doc README.md
%{_datadir}/blender/%{blender_api}/extensions/system/ifcsverchok

%changelog
* %{changelog_date} Bruno Postle <bruno@postle.net> - 0.8.0-0.0.%{build_timestamp}git
- 0.8.0 snapshot, now requires blender > 4.2, move code to python3_sitelib

* Wed May 29 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240529git
- 0.7.0 snapshot, switch to cmake generated tarball

* Sun May 19 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240519git
- 0.7.0 snapshot

* Sun May 05 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240505git
- 0.7.0 snapshot swig patch not needed

* Sun Apr 21 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240421git
- 0.7.0 snapshot, patch for swig in f40

* Tue Apr 16 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240416git
- 0.7.0 snapshot, python3-ezdxf dep

* Thu Mar 28 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240328git
- 0.7.0 snapshot

* Tue Mar 19 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240319git
- 0.7.0 snapshot

* Sun Mar 10 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240310git
- 0.7.0 snapshot

* Tue Mar 05 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.202400305it
- 0.7.0 snapshot, remove hpp-fcl 

* Thu Feb 29 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240229git
- 0.7.0 snapshot

* Thu Jan 25 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240125git
- 0.7.0 snapshot

* Wed Jan 17 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240117git
- 0.7.0 snapshot

* Tue Jan 16 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240116git
- 0.7.0 snapshot

* Sun Jan 14 2024 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20240114git
- 0.7.0 snapshot

* Sat Dec 30 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231230git
- 0.7.0 snapshot

* Wed Dec 06 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231206git
- 0.7.0 snapshot, blender_datadir isn't useable for f38..

* Tue Dec 05 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231205git
- 0.7.0 snapshot, rebuild for blender 4.0 in f39

* Tue Nov 28 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231128git
- 0.7.0 snapshot

* Fri Nov 17 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231117git
- 0.7.0 snapshot

* Sat Oct 28 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231028git
- 0.7.0 snapshot

* Fri Oct 20 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20231020git
- 0.7.0 snapshot

* Wed Sep 27 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230927git
- 0.7.0 snapshot, remove ifccobie and xlsxwriter dep, add ifcfm and bsdd modules

* Sun Sep 17 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230917git
- 0.7.0 snapshot

* Tue Sep 05 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230905git
- 0.7.0 snapshot

* Tue Aug 22 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230822git
- 0.7.0 snapshot, python3-pandas python3-openpyxl python3-odfpy dependencies

* Sat Aug 12 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230812git
- 0.7.0 snapshot, remove openCOLLADA support as not in fedora

* Tue Jul 18 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230718git
- 0.7.0 snapshot

* Mon Jul 17 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230717git
- 0.7.0 snapshot

* Fri Jun 30 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230630git
- 0.7.0 snapshot

* Fri Jun 16 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230616git
- 0.7.0 snapshot mysql-connector-python3 dependency

* Wed Jun 07 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230607git
- 0.7.0 snapshot

* Sun Jun 04 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230604git
- 0.7.0 snapshot

* Sat May 20 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230520git
- 0.7.0 snapshot

* Fri May 12 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230512git
- 0.7.0 snapshot

* Tue Apr 18 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230418git
- 0.7.0 snapshot

* Mon Mar 27 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230327git
- 0.7.0 snapshot

* Sat Mar 18 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230318git
- 0.7.0 snapshot

* Wed Mar 08 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230308git
- 0.7.0 snapshot

* Sun Mar 05 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230305git
- 0.7.0 snapshot

* Fri Feb 24 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230224git
- 0.7.0 snapshot

* Mon Feb 13 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230213git
- 0.7.0 snapshot

* Tue Feb 07 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230207git
- 0.7.0 snapshot

* Tue Jan 31 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230131git
- 0.7.0 snapshot

* Thu Jan 26 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230126git
- 0.7.0 snapshot

* Wed Jan 25 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230125git
- 0.7.0 snapshot

* Wed Jan 18 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230118git
- 0.7.0 snapshot

* Mon Jan 09 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230109git
- 0.7.0 snapshot

* Sun Jan 08 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230108git
- 0.7.0 snapshot

* Fri Jan 06 2023 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20230106git
- 0.7.0 snapshot

* Wed Dec 28 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221228git
- 0.7.0 snapshot
- rebuild for blender 3.4 in f37/f38
- disable pdf doc generation as too many pages:
  ! TeX capacity exceeded, sorry [pool size=5906872].
  Latexmk: Missing input file 'ifcopenshell.ind' (or dependence on it) from following:
  'No file ifcopenshell.ind.'

* Sun Dec 04 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221204git
- 0.7.0 snapshot

* Sun Nov 13 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221113git
- 0.7.0 snapshot

* Mon Nov 07 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221107git
- 0.7.0 snapshot

* Sun Nov 06 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221106git
- 0.7.0 snapshot

* Thu Nov 03 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221103git
- 0.7.0 snapshot

* Mon Oct 31 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221031git
- 0.7.0 snapshot

* Sun Oct 30 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221030git
- 0.7.0 snapshot

* Thu Oct 27 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221027git
- 0.7.0 snapshot

* Wed Oct 26 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221026git
- 0.7.0 snapshot

* Tue Oct 18 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221018git
- 0.7.0 snapshot

* Thu Oct 13 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221013git
- 0.7.0 snapshot

* Tue Oct 11 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221011git
- 0.7.0 snapshot

* Sat Oct 08 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.2.20221008git
- 0.7.0 snapshot

* Sat Oct 08 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20221008git
- 0.7.0 snapshot

* Wed Oct 05 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20221005git
- 0.7.0 snapshot

* Tue Oct 04 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20221004git
- 0.7.0 snapshot

* Mon Oct 03 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20221003git
- 0.7.0 snapshot

* Sun Oct 02 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20221002git
- 0.7.0 snapshot. blenderbim shapely dependency

* Wed Sep 28 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20220928git
- 0.7.0 snapshot. blenderbim shapely dependency

* Fri Sep 23 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20220923git
- 0.7.0 snapshot -DENABLE_BUILD_OPTIMIZATIONS=OFF (i.e. -O2 instead of -O3)

* Mon Sep 19 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20220919git
- 0.7.0 snapshot build with -O0 and no strip + debug_package + oneliner #2419

* Sun Sep 18 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.1.20220918git
- 0.7.0 snapshot build with -O0 and no strip

* Fri Sep 16 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220916git
- 0.7.0 snapshot

* Thu Sep 15 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220915git
- 0.7.0 snapshot

* Wed Sep 07 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220907git
- 0.7.0 snapshot + another attempt fix x64_64 build

* Mon Sep 05 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220905git
- 0.7.0 snapshot + attempt fix x64_64 build

* Sun Sep 04 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220904git
- 0.7.0 snapshot

* Sat Aug 27 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220827git
- 0.7.0 snapshot

* Wed Aug 10 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220810git
- 0.7.0 snapshot, include ifctester

* Thu Jul 28 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220728git
- 0.7.0 snapshot

* Wed Jul 27 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220727git
- 0.7.0 snapshot

* Thu Jul 21 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220721git
- 0.7.0 snapshot, rebuild for blender 3.2 in fedora updates

* Wed Jul 20 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220720git
- 0.7.0 snapshot

* Fri Jul 08 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220708git
- 0.7.0 snapshot

* Wed Jun 29 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220629git
- 0.7.0 snapshot

* Mon Jun 13 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220613git
- 0.7.0 snapshot

* Mon May 09 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220509git
- 0.7.0 snapshot, sphinx-autoapi build dep

* Wed May 04 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220504git
- 0.7.0 snapshot

* Sun May 01 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220501git
- 0.7.0 snapshot

* Sat Apr 30 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220430git
- 0.7.0 snapshot

* Sat Apr 23 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220423git
- 0.7.0 snapshot

* Wed Apr 20 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220420git
- 0.7.0 snapshot

* Sun Apr 03 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220403git
- 0.7.0 snapshot, build ifcopenshell python pdf doc

* Sun Mar 27 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220327git
- 0.7.0 snapshot

* Tue Mar 22 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220322git
- 0.7.0 snapshot

* Thu Mar 17 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220317git
- 0.7.0 snapshot

* Mon Mar 07 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220307git
- 0.7.0 snapshot, remove mpir-devel dependency

* Mon Mar 07 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220307git
- 0.7.0 snapshot, reintroduce mpir-devel dependency

* Fri Mar 04 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220304git
- 0.7.0 snapshot, remove mpir-devel dependency

* Thu Feb 10 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220210git
- 0.7.0 snapshot

* Wed Feb 09 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220209git
- 0.7.0 snapshot

* Wed Feb 02 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220202git
- 0.7.0 snapshot

* Sun Jan 30 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220130git
- 0.7.0 snapshot, BlenderBIM Add-on v0.0.220130

* Tue Jan 18 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220118git
- 0.7.0 snapshot

* Thu Jan 13 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220113git
- 0.7.0 snapshot

* Mon Jan 10 2022 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20220110git
- 0.7.0 snapshot

* Thu Dec 30 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211230git
- 0.7.0 snapshot, rebuild because somebody pushed a major release of blender to stable fedora

* Fri Dec 10 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211210git
- 0.7.0 snapshot

* Mon Nov 29 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211129git
- 0.7.0 snapshot

* Fri Nov 19 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211119git
- 0.7.0 snapshot

* Tue Nov 16 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211116git
- 0.7.0 snapshot

* Mon Nov 15 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211115git
- 0.7.0 snapshot + raise section height from storey to 1.2

* Thu Nov 11 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211111git
- 0.7.0 snapshot

* Tue Nov 09 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211109git
- 0.7.0 snapshot

* Thu Oct 28 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211028git
- 0.7.0 snapshot

* Fri Oct 22 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211022git
- 0.7.0 snapshot

* Mon Oct 18 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211018git
- 0.7.0 snapshot

* Mon Oct 04 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211004git
- 0.7.0 snapshot

* Fri Oct 01 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20211001git
- 0.7.0 snapshot

* Mon Sep 27 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20210927git
- 0.7.0 snapshot

* Sun Sep 26 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20210926git
- 0.7.0 snapshot, fix linking to opencollada

* Sat Sep 25 2021 Bruno Postle <bruno@postle.net> - 0.7.0-0.0.20210925git
- initial 0.7.0 snapshot

* Sat Sep 25 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210925git
- 0.6.0 snapshot

* Tue Sep 21 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210921git
- 0.6.0 snapshot

* Fri Sep 17 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210917git
- 0.6.0 snapshot

* Mon Sep 13 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210913git
- 0.6.0 snapshot

* Wed Sep 08 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210908git
- 0.6.0 snapshot, python3-lxml dependency

* Sat Sep 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210904git
- 0.6.0 snapshot, -DUSE_MMAP

* Fri Sep 03 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210903git
- 0.6.0 snapshot

* Wed Sep 01 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210901git
- 0.6.0 snapshot

* Sun Aug 22 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210822git
- 0.6.0 snapshot

* Fri Aug 20 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210820git
- 0.6.0 snapshot

* Sat Aug 14 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210814git
- 0.6.0 snapshot

* Mon Aug 09 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210809git
- 0.6.0 snapshot

* Fri Aug 06 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210806git
- 0.6.0 snapshot

* Wed Aug 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210804git
- 0.6.0 snapshot

* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210803git
- 0.6.0 snapshot, ifcclash requires hpp-fcl

* Fri Jul 30 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210730git
- 0.6.0 snapshot

* Thu Jul 29 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210729git
- 0.6.0 snapshot

* Wed Jul 28 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210728git
- 0.6.0 snapshot

* Mon Jul 26 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210726git
- 0.6.0 snapshot

* Wed Jul 21 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210721git
- 0.6.0 snapshot

* Mon Jul 19 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210719git
- 0.6.0 snapshot

* Wed Jul 14 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210714git
- 0.6.0 snapshot

* Sat Jul 10 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210710git
- 0.6.0 snapshot

* Sun Jul 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210704git
- 0.6.0 snapshot

* Fri Jul 02 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210702git
- 0.6.0 snapshot

* Sun Jun 27 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210628git
- 0.6.0 snapshot

* Sun Jun 27 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210627git
- 0.6.0 snapshot

* Thu Jun 17 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210617git
- 0.6.0 snapshot

* Sun Jun 13 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210613git
- 0.6.0 snapshot, rebuild for blender 2.93 in f33 and f34

* Wed Jun 09 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210609git
- 0.6.0 snapshot

* Sat Jun 05 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210605git
- 0.6.0 snapshot

* Fri May 28 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210528git
- 0.6.0 snapshot

* Wed May 26 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210526git
- 0.6.0 snapshot

* Tue May 25 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210525git
- 0.6.0 snapshot

* Thu May 20 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210520git
- 0.6.0 snapshot

* Mon May 17 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210517git
- 0.6.0 snapshot

* Sat May 15 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210515git
- 0.6.0 snapshot

* Wed May 12 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210512git
- 0.6.0 snapshot

* Tue May 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210504git
- 0.6.0 snapshot

* Thu Apr 29 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210429git
- 0.6.0 snapshot

* Sun Apr 25 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210425git
- 0.6.0 snapshot, python3-python-fcl not available so clash detection won't work

* Wed Apr 21 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210421git
- 0.6.0 snapshot

* Thu Apr 15 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210415git
- 0.6.0 snapshot

* Mon Apr 12 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210412git
- 0.6.0 snapshot

* Fri Apr 09 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210409git
- 0.6.0 snapshot

* Sun Apr 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210404git
- 0.6.0 snapshot, blenderbim v0.0.210404

* Fri Apr 02 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210402git
- 0.6.0 snapshot

* Wed Mar 31 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210331git
- 0.6.0 snapshot

* Mon Mar 29 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210329git
- 0.6.0 snapshot

* Fri Mar 26 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210326git
- 0.6.0 snapshot

* Thu Mar 25 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210325git
- 0.6.0 snapshot

* Sun Mar 21 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210321git
- 0.6.0 snapshot

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210319git
- 0.6.0 snapshot

* Fri Mar 12 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210312git
- 0.6.0 snapshot

* Sun Feb 21 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210221git
- 0.6.0 snapshot, BlenderBIM add-on v0.0.210221

* Sun Jan 31 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210131git
- 0.6.0 snapshot, BlenderBIM add-on v0.0.210131
- remove dependency on python3-bcfplugin as this is replaced by an internal library

* Mon Jan 04 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210104git
- 0.6.0 snapshot

* Sun Jan 03 2021 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20210103git
- 0.6.0 snapshot

* Mon Dec 07 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201207git
- 0.6.0 snapshot, BlenderBIM add-on v0.0.201207

* Tue Dec 01 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201201git
- 0.6.0 snapshot

* Mon Nov 16 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201116git
- 0.6.0 snapshot, BlenderBIM add-on v0.0.201115

* Sun Nov 08 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201108git
- 0.6.0 snapshot

* Sun Oct 25 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201025git
- 0.6.0 snapshot, BlenderBIM Add-on v0.0.201025

* Fri Oct 16 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201016git
- 0.6.0 snapshot

* Sun Oct 04 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20201004git
- 0.6.0 snapshot

* Fri Sep 18 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200918git
- 0.6.0 snapshot

* Sat Sep 12 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200912git
- 0.6.0 snapshot, BlenderBIM Add-on v0.0.200912

* Mon Aug 31 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200831git
- 0.6.0 snapshot, BlenderBIM Add-on v0.0.200829

* Sat Aug 15 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200815git
- 0.6.0 snapshot

* Mon Aug 10 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200810git
- 0.6.0 snapshot, BlenderBIM Add-on v0.0.200810

* Sat Aug 08 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200808git
- 0.6.0 snapshot

* Sat Aug 08 2020 Bruno Postle <bruno@postle.net> - 0.6.0-0.0.20200726git
- 0.6.0 snapshot, rewind package version to zero since this is a pre-release

* Wed Jul 29 2020 Bruno Postle <bruno@postle.net> - 0.6.0-3
- 0.6.0 snapshot, install some python command-line tools, patch to fix sonames

* Sun Jul 26 2020 Bruno Postle <bruno@postle.net> - 0.6.0-2
- 0.6.0 snapshot, separate packages for python module and blenderbim

* Sat May 16 2020 Bruno Postle <bruno@postle.net> - 0.6.0-1
- 0.6.0 release built with python3, disable mmap because of build failures

* Sat Oct 13 2018 Bruno Postle <bruno@postle.net> - 0.5.0-0.20181013
- package git snapshot
- built with python2 as required by fedora FreeCAD package
